Bug 1183526 - git-cola-v2.1.2 is available
Summary: git-cola-v2.1.2 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git-cola
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-19 09:07 UTC by Upstream Release Monitoring
Modified: 2015-04-22 22:52 UTC (History)
3 users (show)

Fixed In Version: git-cola-2.1.2-1.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 19:02:19 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2015-01-19 09:07:06 UTC
Latest upstream release: 2.1.0
Current version/release in Fedora Rawhide: 2.0.8-2.fc22
URL: https://github.com/git-cola/git-cola/releases

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 1 Upstream Release Monitoring 2015-02-07 22:19:11 UTC
Latest upstream release: 2.1.1
Current version/release in Fedora Rawhide: 2.0.8-2.fc22
URL: https://github.com/git-cola/git-cola/releases

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 2 Upstream Release Monitoring 2015-03-31 00:33:04 UTC
Latest upstream release: v2.1.2
Current version/release in rawhide: 2.0.8-3.fc23
URL: https://github.com/git-cola/git-cola

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 3 Upstream Release Monitoring 2015-03-31 00:33:19 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-gAzdt8/git-cola.spec
return code:  22
stdout:
Getting https://github.com/git-cola/git-cola/archive/vv2.1.2/git-cola-v2.1.2.tar.gz to ./git-cola-v2.1.2.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   142    0   142    0     0    243      0 --:--:-- --:--:-- --:--:--   243

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 4 Fedora Update System 2015-04-01 01:34:27 UTC
git-cola-2.1.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/git-cola-2.1.2-1.fc22

Comment 5 Fedora Update System 2015-04-01 01:35:37 UTC
git-cola-2.1.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/git-cola-2.1.2-1.fc21

Comment 6 Kevin Kofler 2015-04-01 10:04:40 UTC
I've had enough of it. Once again, there are no usable update notes (neither a link to nor a copy of the upstream list of changes) and once again you left out a supported Fedora release (Fedora 20). Effective now, you are no longer a comaintainer of this package.

Comment 7 Fedora Update System 2015-04-01 10:24:43 UTC
git-cola-2.1.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/git-cola-2.1.2-1.fc20

Comment 8 Kevin Kofler 2015-04-01 10:27:52 UTC
You also enabled karma automatism, which should NEVER be enabled. (It is a recipe for upgrade path issues and just generally for allowing broken updates to get pushed.)

In the end, it took me half an hour to complete the work, not much less than it would have taken me to just do the update by myself, on my schedule. So I'd rather just maintain this package alone, sorry.

Comment 9 Fedora Update System 2015-04-02 01:44:42 UTC
Package git-cola-2.1.2-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing git-cola-2.1.2-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5344/git-cola-2.1.2-1.fc22
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-04-10 07:29:20 UTC
git-cola-2.1.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Kevin Kofler 2015-04-10 10:00:16 UTC
Congratulations, you just broke the upgrade path to Fedora 22! Updates to Fedora 21 (with a higher EVR than what's already in Fedora 22) MUST NOT be pushed to stable before Fedora 22 unfreezes. Thankfully, this is the LAST git-cola update that you'll be pushing. I'm fed up of this.

Comment 12 Fedora Update System 2015-04-21 19:02:19 UTC
git-cola-2.1.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-04-22 22:52:57 UTC
git-cola-2.1.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.